/***************************************************************************
                          atom.cpp  -  description
                             -------------------
    begin                : Mon Mar 4 2002
    copyright            : (C) 2002 by Jerome PANSANEL
    email                : pansanel@pansanel.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation; either version 2.1 of the  *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 ***************************************************************************/

#include <string.h>
#include "atom.h"

/*Initialize an atom. All pointer are set to NULL and numerical values to zero*/
atom::atom()
{
  symbol = new char[4];
  *symbol = '\0'; 
  mass = 0; 
  multiple = 0;
}

atom::~atom()
{
  symbol = NULL;
  delete symbol;
}

/*Setting of the atomic symbol*/
void atom::set_symbol(char * element)
{
  strncpy(symbol, element, strlen(element));
}

/*Setting of the atomic mass*/
void atom::set_mass(float weight)
{
  mass = weight;
}

/*Setting of the multiplicity of an atom*/
void atom::set_multiple(float factor)
{
  multiple = factor;
}

char * atom::get_symbol()
{
  return symbol;
}

float atom::get_mass()
{
  return mass;
}

float atom::get_multiple()
{
  return multiple;
}
